Loading...
Searching...
No Matches
BALL::RGroupAssembler Class Reference

`#include <BALL/STRUCTURE/rGroupAssembler.h>`

## Public Member Functions

| RGroupAssembler (String &scaffold, std::map< String, std::vector< String > > &rgroups)
| RGroupAssembler (std::vector< String > &scaffolds, std::map< String, std::vector< String > > &rgroups)
| ~RGroupAssembler ()
Molecule * | generateNextMolecule ()

## Detailed Description

Definition at line 21 of file rGroupAssembler.h.

## Constructor & Destructor Documentation

## RGroupAssembler() [1/2]

BALL::RGroupAssembler::RGroupAssembler | ( | String & | scaffold,
|  | std::map< String, std::vector< String > > & | rgroups )

## RGroupAssembler() [2/2]

BALL::RGroupAssembler::RGroupAssembler | ( | std::vector< String > & | scaffolds,
|  | std::map< String, std::vector< String > > & | rgroups )

## ~RGroupAssembler()

BALL::RGroupAssembler::~RGroupAssembler | ( |  | ) |

## Member Function Documentation

## generateNextMolecule()

Molecule * BALL::RGroupAssembler::generateNextMolecule | ( |  | ) |

Generate the next combination of scaffold + R-group and return this molecule. If there are no more combination to be generated, null is returned.